Subject: bug#43830: keyboard layout handling incompatible with rest of the OS

From: Eli Zaretskii <[email-masked]>
Date: Sun, 01 Nov 2020 21:32:42 +0200

> From: Paul Pogonyshev <[email-masked]>
> Date: Sun, 1 Nov 2020 19:56:09 +0100
> Cc: Juri Linkov <[email-masked]>, [email-masked]
> 
> > read-event will figure out by itself whether it should return the
> > ASCII character or a non-ASCII character, and return that.
> 
> I'm not sure that is possible, because it doesn't really know how it
> is going to be processed.

It knows the binding of the character, and it knows other things.

Nothing else makes sense to me, because exposing this info to Lisp
means every Lisp program which deals with input will have to decide
what to do with such events.